## org.mortbay.jetty.ajp
Class Ajp13Parser

    java.lang.Object
      org.mortbay.jetty.ajp.Ajp13Parser

All Implemented Interfaces:
  Parser

    public class Ajp13Parser

extends Object
implements Parser

Author:
  Markus Kobler

Nested Class Summary
`static interface` `Ajp13Parser.EventHandler`
`static class` `Ajp13Parser.Input` TODO Make this common with HttpParser

Field Summary
`protected int` `_length`
`protected int` `_packetLength`

Constructor Summary
`Ajp13Parser(Buffers buffers, EndPoint endPoint, Ajp13Parser.EventHandler handler, Ajp13Generator generator)`

Method Summary
`long` `getContentLength()`
`int` `getState()`
`boolean` `inContentState()`
`boolean` `inHeaderState()`
`boolean` `isComplete()`
`boolean` `isIdle()`
`boolean` `isMoreInBuffer()`
`boolean` `isState(int state)`
`void` `parse()`
`long` `parseAvailable()`
`long` `parseNext()`
`void` `reset(boolean returnBuffers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _length

    protected int _length

### _packetLength

    protected int _packetLength

Constructor Detail

### Ajp13Parser

    public Ajp13Parser(Buffers buffers,
                       EndPoint endPoint,
                       Ajp13Parser.EventHandler handler,
                       Ajp13Generator generator)

Method Detail

### getContentLength

    public long getContentLength()

### getState

    public int getState()

### inContentState

    public boolean inContentState()

### inHeaderState

    public boolean inHeaderState()

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Parser`

### isComplete

    public boolean isComplete()

  Specified by:
    `isComplete` in interface `Parser`

### isMoreInBuffer

    public boolean isMoreInBuffer()

  Specified by:
    `isMoreInBuffer` in interface `Parser`

### isState

    public boolean isState(int state)

### parse

    public void parse()
               throws IOException

  Throws:
    `IOException`

### parseAvailable

    public long parseAvailable()
                        throws IOException

  Specified by:
    `parseAvailable` in interface `Parser`
  Throws:
    `IOException`

### parseNext

    public long parseNext()
                   throws IOException

  Throws:
    `IOException`

### reset

    public void reset(boolean returnBuffers)

  Specified by:
    `reset` in interface `Parser`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.